cURL
curl --location --request GET "https://api.kashimi.tech/api/v1/capabilities/providers?filters[countryCode]=LT"
--header "Accept: application/json"
--header "Authorization: Bearer YOUR_ACCESS_TOKEN"{
"items": [
{
"id": "3a9f7916-1b45-473c-bf34-3e601b8aae90",
"name": "Swedbank",
"countryCode": "LT",
"bic": "HABALT22",
"logoUrl": "https://kashimi.s3.com/logo.png",
"iconUrl": "https://kashimi.s3.com/icon.png",
"paymentSchemes": [
"SEPA"
],
"requiredPaymentFields": [
"SENDER_ACCOUNT"
],
"hasSubsidiaries": false
}
],
"meta": {
"cursor": {
"next": {
"value": "<string>"
}
}
}
}{
"statusCode": 400,
"title": "Bad Request",
"message": "filters.countryCode must be one of the following values: LT, DE, NL"
}{
"statusCode": 401,
"title": "Unauthorized",
"message": "Unauthorized"
}{
"statusCode": 403,
"title": "Forbidden",
"message": "Access denied"
}Institutions
Get providers
Returns a paginated list of available payment providers and banks. Results can be filtered by country and include supported payment schemes, required fields, and subsidiary availability.
GET
/
api
/
v1
/
capabilities
/
providers
cURL
curl --location --request GET "https://api.kashimi.tech/api/v1/capabilities/providers?filters[countryCode]=LT"
--header "Accept: application/json"
--header "Authorization: Bearer YOUR_ACCESS_TOKEN"{
"items": [
{
"id": "3a9f7916-1b45-473c-bf34-3e601b8aae90",
"name": "Swedbank",
"countryCode": "LT",
"bic": "HABALT22",
"logoUrl": "https://kashimi.s3.com/logo.png",
"iconUrl": "https://kashimi.s3.com/icon.png",
"paymentSchemes": [
"SEPA"
],
"requiredPaymentFields": [
"SENDER_ACCOUNT"
],
"hasSubsidiaries": false
}
],
"meta": {
"cursor": {
"next": {
"value": "<string>"
}
}
}
}{
"statusCode": 400,
"title": "Bad Request",
"message": "filters.countryCode must be one of the following values: LT, DE, NL"
}{
"statusCode": 401,
"title": "Unauthorized",
"message": "Unauthorized"
}{
"statusCode": 403,
"title": "Forbidden",
"message": "Access denied"
}